## qtbase-opensource-src-gles 5.15.2+dfsg

=== tests/auto/cmake/test_add_big_resource/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.9)

project(test_add_big_resource)

find_package(Qt5Core REQUIRED)

qt5_wrap_cpp(moc_files myobject.h)

qt5_add_big_resources(rcc_files "test_add_big_resource.qrc" "test_add_big_resource2.qrc")

add_executable(myobject myobject.cpp ${moc_files} ${rcc_files})
target_link_libraries(myobject ${Qt5Core_LIBRARIES})

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.2+dfsg-4) unstable; urgency=medium

  * Make libqt5gui5-gles and qtbase5-gles-dev break qt5-default (closes:
    #976389, LP: #1920130).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 14 May 2021 21:35:45 +0300

qtbase-opensource-src-gles (5.15.2+dfsg-3) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.2+dfsg-3 upload.
  * Remove libxcb-glx0-dev build-dependency, not needed for -gles variant.
    Thanks to Helmut Grohne for noticing it!

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jan 2021 20:24:23 +0300

qtbase-opensource-src (5.15.2+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix memory leak in QNetworkAccessManager
    from QMetaObjectPrivate::connect.
  * Backport upstream changes to add #include <limits> for GCC 11.
  * Update debian/watch: use format 4, and track only 5.15.x releases.
  * Update debian/libqt5core5a.symbols for hurd-i386.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jan 2021 20:17:11 +0300

qtbase-opensource-src-gles (5.15.2+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.2+dfsg-2 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:56:07 +0300

qtbase-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patch xcb_screens_uaf.patch in order to fix
    use-after-free in the xcb plugin.

  [ Dmitry Shachnev ]
  * Build with libxcb-util-dev 0.4.0 which Debian now has.
    - Drop loosen_xcb-util_requirement.diff, no longer needed.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Build the experimental XCB native painting engine. This has been disabled
    as a default by upstream, but our X2Go users do really benefit from it if
    they export QT_XCB_NATIVE_PAINTING (Closes: #976274).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:30 +0300

qtbase-opensource-src-gles (5.15.2+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.2+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Nov 2020 13:56:07 +0300

qtbase-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop two patches that are included in the new release:
    - emit_geometry_changed.diff
    - clone_sigchld.diff
  * Bump ABI version to qtbase-abi-5-15-2.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Add a patch to loosen xcb-util requirement from 0.3.9 to 0.3.8
    (see #975259).
  * Build-depend on libxcb-util0-dev.
  * Update debian/qtbase5-private-dev.install for the new release.
  * Update symbols files for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Nov 2020 16:08:35 +0300

qtbase-opensource-src (5.15.1+dfsg-4) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patch xcb_screens_uaf.patch in order to fix
    use-after-free in the xcb plugin.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 23 Nov 2020 15:16:00 -0300

qtbase-opensource-src (5.15.1+dfsg-3) unstable; urgency=medium

  * Remove debian/source/lintian-overrides. The remaining override
    is not needed since we removed qt5-default package.
  * Update debian/libqt5core5a.symbols for hppa.
  * Backport upstream patch to fix issues with debugging applications
    that use QProcess (closes: #974602).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Nov 2020 21:39:27 +0300

qtbase-opensource-src-gles (5.15.1+dfsg-2) unstable; urgency=medium

  * Set Build-Depends-Package field to qtbase5-gles-dev.
  * Merge qtbase-opensource-src 5.15.1+dfsg-2 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Oct 2020 13:13:19 +0300

qtbase-opensource-src (5.15.1+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix multiscreen-related regression that
    affects Plasma.
  * Update debian/libqt5core5a.symbols from buildds’ logs.
  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Apply cross_build_mysql.diff to get closer to cross building on a Debian
    environment. Thanks Helmut Grohne for the patch! (Closes: #971604).
  * Remove qt5-default. Nowadays it's not needed as Qt 5 is the only Qt version
    in Debian and it brought more problems than solutions.

  [ Helmut Grohne ]
  * qmake cross wrapper: Allow passing -qt5. (Closes: #972640)

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:04 +0300

qtbase-opensource-src-gles (5.15.1+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.1+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.1.
  * Call dh_missing with --list-missing, we do not install all files.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Sep 2020 15:18:59 +0300

qtbase-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop all patches that have been included in the new release:
    - CVE-2015-9541.diff
    - CVE-2020-17507.diff
    - CVE-2020-13962.diff
    - enable_a11y_on_linux.diff
    - fix_qlibrary_deadlock.diff
    - moc_handle_includes.diff
    - no_isystem.diff
    - clarify_pic_message.diff
  * Refresh other patches.
  * Update symbols files from buildds’ logs.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution.
    - Stop using dh-exec for .links files, as debhelper now supports
      substitutions natively.
  * Bump qttools build-dependencies to 5.15.
  * Bump ABI version to qtbase-abi-5-15-1.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Manually update non-generated part of debian/copyright.
  * Update install files for the new release.
  * Update symbols files from the current build log.



=== debian/control ===
Source: qtbase-opensource-src-gles
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-exec,
               dpkg-dev (>= 1.17.14),
               firebird-dev [kfreebsd-any linux-any],
               freetds-dev,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libdrm-dev [linux-any],
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev [linux-any kfreebsd-any],
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev (>= 1.6.0~),
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libkrb5-dev,
               libmd4c-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libqt5core5a (>= 5.15.2+dfsg~),
               libqt5dbus5 (>= 5.15.2+dfsg~),
               libqt5network5 (>= 5.15.2+dfsg~),
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libzstd-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.17~),
               publicsuffix,
               qt5-qmake-bin <cross>,
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 4.5.1
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

Package: libqt5gui5-gles
Architecture: any
Conflicts: libqt5gui5
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, qt5-gtk-platformtheme
Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~),
        qt5-default
Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Suggests: qt5-image-formats-plugins, qtwayland5
Description: Qt 5 GUI module — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.
 .
 This package provides a version of Qt GUI library built against OpenGL ES,
 for use on embedded/mobile devices.

Package: qtbase5-gles-dev
Architecture: any
Conflicts: qtbase5-dev
Multi-Arch: same
Section: libdevel
Depends: libegl-dev,
         libgles-dev,
         libqt5concurrent5 (>= ${source:Upstream-Version}),
         libqt5core5a (>= ${source:Upstream-Version}),
         libqt5dbus5 (>= ${source:Upstream-Version}),
         libqt5gui5-gles (= ${binary:Version}),
         libqt5network5 (>= ${source:Upstream-Version}),
         libqt5printsupport5 (>= ${source:Upstream-Version}),
         libqt5sql5 (>= ${source:Upstream-Version}),
         libqt5test5 (>= ${source:Upstream-Version}),
         libqt5widgets5 (>= ${source:Upstream-Version}),
         libqt5xml5 (>= ${source:Upstream-Version}),
         libvulkan-dev [linux-any],
         libxext-dev,
         qt5-qmake (>= ${source:Upstream-Version}),
         qtbase5-dev-tools (>= ${source:Upstream-Version}),
         qtchooser,
         ${misc:Depends}
Recommends: libqt5opengl5-dev (>= ${source:Upstream-Version})
Suggests: default-libmysqlclient-dev,
          firebird-dev,
          libpq-dev,
          libsqlite3-dev,
          unixodbc-dev
Breaks: qt5-default,
        qt5-qmake (<< 5.11.3+dfsg-3~),
        qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
        qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
Replaces: qt5-qmake (<< 5.11.3+dfsg-3~),
          qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
          qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
Description: Qt 5 base development files — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications.
 .
 Normally you should use the qtbase5-dev package. Use this one only if
 your software supports only OpenGL ES or if you want to make use of some
 OpenGL ES specific API.
 .
 If you are interested in packaging Qt 5 stuff please take a look at
 https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html

Package: qtbase5-private-gles-dev
Architecture: any
Conflicts: qtbase5-private-dev
Multi-Arch: same
Section: libdevel
Depends: libfontconfig1-dev,
         libinput-dev [linux-any],
         libxkbcommon-dev,
         qtbase5-gles-dev (= ${binary:Version}),
         ${misc:Depends}
Breaks: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
Replaces: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
Description: Qt 5 base private development files — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications like Qt Creator QML Designer plugin.
 .
 Normally you should use qtbase5-dev or qtbase5-private-dev package. Use this
 one only if your software supports only OpenGL ES or if you want to make use
 of some OpenGL ES specific API. Use at your own risk.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

# Use already defined upstream version as DEB_VERSION_UPSTREAM.
include /usr/share/dpkg/pkg-info.mk

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config

# Upstream changelog
upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')

ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

no_pch_architectures := arm64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux kfreebsd))
	extra_configure_opts += -no-eglfs
endif

# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85412
ifeq ($(DEB_HOST_ARCH),ia64)
	extra_configure_opts += QMAKE_CFLAGS_OPTIMIZE_FULL-=-O3
endif

# Compile without sse2 support on i386
# Do not use precompiled headers in order to be able to rebuild the gui
# submodule.
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	cpu_opt = -no-sse2 -no-pch
endif

mkspec_osmap_kfreebsd = gnukfreebsd
platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
platform_arg = $(platform_os)-g++

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
platform_arg = $(platform_os)-$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_LIBC)$(filter-out base,$(DEB_HOST_ARCH_ABI))-g++
endif

# Refuse cross building with a qmake whose version differs from the package.
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
extra_configure_opts += -external-hostbindir /usr/lib/qt5/bin
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
	test "`dpkg-query -f '$${Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION)"
endif
	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
	        ./configure \
	            -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -system-doubleconversion \
	            -system-pcre \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -no-directfb \
	            -no-use-gold-linker \
	            -no-mimetype-database \
	            -no-feature-relocatable \
	            -xcb-native-painting \
	            -opengl es2 \
	            $(extra_configure_opts) \
	            $(cpu_opt) \
	            QMAKE_CFLAGS="$(CFLAGS)" \
	            QMAKE_CXXFLAGS="$(CXXFLAGS)" \
	            QMAKE_LFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;

	# Misc. directories
	rm -rf \
	  doc-build/ \
	  doc/html/ \
	  doc/qch/ \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  lib/ \
	  plugins/ \
	;

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf

	# Leftover files and all symlinks
	find \( -false \
	  -o -name lib\*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name lib\*.so \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rf

	# Any remaining executables
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

	# Generated on build
	rm -vf debian/stamp-makefile-build-tools

	# more leftovers
	rm -f .device.vars .qmake.vars

override_dh_auto_build-arch:
	# Bootstrap corelibs in order to be able to build the helper tools to
	# regenerate some upstream-provided files.
	cd $(CURDIR)/src; ../bin/qmake; $(MAKE) sub-corelib
	# Add here the code to generate the helpers and then the headers.
	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
	# Rebuild only the object file that used the generated header.
	rm src/corelib/.obj/qtldurl.o
	dh_auto_build -- sub-src

override_dh_auto_install-arch:
	INSTALL_ROOT=$(CURDIR)/debian/tmp $(MAKE) \
		install_mkspecs \
		sub-src-install_subtargets \
		sub-doc-install_subtargets

ifeq ($(DEB_HOST_ARCH_CPU),i386)
	# Rebuild the necessary libs with SSE2 support.
	# Create the destination directory.
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# corelib needs make clean first to be able to rebuild.
	cd $(CURDIR)/src/corelib; $(MAKE) clean; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# gui on turn doesn't need it, and actually fails if done.
	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
endif

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;

	# Use multiarched directory for host_bins variable (see #909575)
	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc

	# Remove leftover directories
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name .rcc \
	\) -print0 | xargs -0 rm -rf

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtbase-everywhere-src-(.*)\.tar\.xz

## qtbase-opensource-src-gles 5.15.3+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.3+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.3+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 12 Mar 2022 21:12:05 +0300

qtbase-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for new file names.
  * Drop patches that are included in the new release:
    - xcb_screens_uaf.patch
    - qnam_connect_memory_leak.diff
    - qiodevice_readline_memory.diff
  * Remove most of gcc_11_limits.diff, only one change left.
  * Refresh other patches.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-3.
  * Update symbols files from the current build logs.
  * Exclude one more RFC file from the tarball.
  * Stop adding -Wl,--as-needed explicitly.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 04 Mar 2022 21:00:06 +0300

qtbase-opensource-src (5.15.2+dfsg-15) unstable; urgency=medium

  * Backport upstream changes to improve support for OpenSSL 3.0.
    - Don't hardcode libssl version in Depends, fill it dynamically.
  * Replace -ffile-prefix-map in qmodule.pri.
  * Backport upstream patch to make QProcess not search for executables in
    CWD unless explicitly told so (CVE-2022-25255).
  * Update some Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Feb 2022 00:00:28 +0300

qtbase-opensource-src (5.15.2+dfsg-14) unstable; urgency=medium

  * Backport four upstream commits to fix massive memory consumption when
    rendering specially crafted SVG files (CVE-2021-38593, LP: #1950193).
  * Update symbols files from buildds’ logs.
  * Override some source-is-missing and unpack-message-for-orig warnings.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Nov 2021 17:12:50 +0300

qtbase-opensource-src (5.15.2+dfsg-13) unstable; urgency=medium

  [ Lu YaNing ]
  * Backport upstream patch to fix recursion crash when calling
    setStyleSheet with `qproperty-styleSheet`: fix_recursion_crash.diff.

  [ Dmitry Shachnev ]
  * Backport upstream patch to treat MYSQL_FIELD as read-only, to fix issues
    with MariaDB server 10.6 (closes: #999595).
  * Update symbols files from buildds’ and the current build logs.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Nov 2021 16:34:39 +0300

qtbase-opensource-src-gles (5.15.2+dfsg-5) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.2+dfsg-12 upload.
    - Fixes FTBFS with libglvnd 1.3.4 (closes: #997103).
  * Update debian/source/lintian-overrides for Lintian ≥ 2.105.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Oct 2021 23:24:57 +0300

qtbase-opensource-src (5.15.2+dfsg-12) unstable; urgency=medium

  * Add a patch to properly cast types for EGL X11 tests (Closes: #994906).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Sep 2021 10:02:33 -0300

qtbase-opensource-src (5.15.2+dfsg-11) unstable; urgency=medium

  * Apply multi-arch hints.
    + qtbase5-doc, qtbase5-doc-dev, qtbase5-doc-html: Add Multi-Arch: foreign.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport upstream patch
    xcb_add_a_timeout_control_when_reading_INCR_property.diff in order to fix
    timestamp issue on QXcbConnection,
    https://bugreports.qt.io/browse/QTBUG-56595

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 22 Sep 2021 15:07:55 -0300

qtbase-opensource-src (5.15.2+dfsg-10) unstable; urgency=medium

  [ Lu Yaning ]
  * Restore fix-misplacement-of-placeholder-text-in-QLineEdit.diff.
  * Backport upstream patch to fix the regression with placement of
    placeholder text in QLineEdits with action icons.

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix icon display on checkable QPushButtons
    with Fusion style (closes: #991255).
  * Backport upstream patch to remove MySQL version checks, which led to
    wrong conclusions with MariaDB Connector ≥ 3.2.
  * Backport upstream patch to fix QTextFormat::FullWidthSelection for
    right-to-left text layouts.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Aug 2021 21:32:57 +0300

qtbase-opensource-src (5.15.2+dfsg-9) unstable; urgency=medium

  * Revert adding fix-misplacement-of-placeholder-text-in-QLineEdit.diff.
    Unfortunately it causes a regression (see QTBUG-94824).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 02 Jul 2021 18:58:04 +0300

qtbase-opensource-src (5.15.2+dfsg-8) unstable; urgency=medium

  [ Lu Yaning ]
  * Backport upstream patch to fix misplacement of placeholder text in
    QLineEdit with RTL content.

  [ Dmitry Shachnev ]
  * Remove the qmimeprovider.cpp part of mime_globs.diff. It is unrelated
    to the original purpose of that patch, and causes various problems
    (closes: #989255, #989744, #990129).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Jun 2021 20:38:59 +0300

qtbase-opensource-src (5.15.2+dfsg-7) unstable; urgency=medium

  [ Lu Yaning ]
  * Backport upstream patch to fix invalid pointer return with
    QGridLayout::itemAt(-1): fix-invalid-pointer-return-with-QGridLayout.diff

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Jun 2021 09:55:29 -0300

qtbase-opensource-src (5.15.2+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to adjust QMimeDatabase behavior (LP: #1857824).
  * Make qtbase5-dev break qt5-default (see #976389, LP: #1920130).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 May 2021 12:04:21 +0300

qtbase-opensource-src (5.15.2+dfsg-5) unstable; urgency=medium

  * Backport upstream patch to fix allocated memory of QByteArray returned by
    QIODevice::readLine (closes: #982882).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Feb 2021 20:00:31 +0300

qtbase-opensource-src (5.15.2+dfsg-4) unstable; urgency=medium

  * Add Conflicts: against the -gles packages, to make that relation mutual.
    (Thanks to David Kalnischkies for the suggestion; see also #976389.)



=== debian/control ===
--- 
+++ 
@@ -39,9 +39,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.15.2+dfsg~),
-               libqt5dbus5 (>= 5.15.2+dfsg~),
-               libqt5network5 (>= 5.15.2+dfsg~),
+               libqt5core5a (>= 5.15.3+dfsg~),
+               libqt5dbus5 (>= 5.15.3+dfsg~),
+               libqt5network5 (>= 5.15.3+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -75,7 +75,7 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -131,7 +131,7 @@
           libpq-dev,
           libsqlite3-dev,
           unixodbc-dev
-Breaks: qt5-default,
+Breaks: qt5-default (<< 5.15.1+dfsg-2~),
         qt5-qmake (<< 5.11.3+dfsg-3~),
         qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
         qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,9 @@
 export PATH := $(PATH):$(shell pwd)/bin
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config
+sslpkgname := $(shell dpkg-query --show '--showformat=$${Depends}' libssl-dev | cut -d ' ' -f1)
 
 # Upstream changelog
 upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')
@@ -242,6 +243,3 @@
 	  -o -name .rcc \
 	\) -print0 | xargs -0 rm -rf
 
-	# Remove libtool-like files
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-

## qtbase-opensource-src-gles 5.15.6+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 12:25:30 +0300

qtbase-opensource-src-gles (5.15.6+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.6+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 21:57:58 +0300

qtbase-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in the new release:
    - fix-misplacement-of-placeholder-text-in-QLineEdit.diff
    - fix-placement-of-placeholder-text-in-QLineEdits-with-action-icons.diff
    - mysql_remove_version_checks.diff
    - full_width_selection_rtl.diff
    - xcb_add_a_timeout_control_when_reading_INCR_property.diff
    - CVE-2021-38593.diff
    - moc_handle_include.diff
    - remove_limit_on_number_of_streams.diff
  * Update symbols files from buildds’ and current build logs.
  * Revert removal of QtConcurrent::ThreadEngineBase::startBlocking(),
    which is part of public API and used in the wild.
  * Bump ABI version to qtbase-abi-5-15-6.
  * Update debian/copyright (automatically and manually).
  * Exclude chip.debug compiled binary from the tarball.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Sep 2022 11:44:12 +0300

qtbase-opensource-src-gles (5.15.5+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.5+dfsg-3 upload.
  * Bump qtbase build-dependencies to 5.15.5.
  * Update debian/source/lintian-overrides for Lintian pointed hints.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 11 Aug 2022 11:34:15 +0300

qtbase-opensource-src (5.15.5+dfsg-3) experimental; urgency=medium

  * Merge 5.15.4+dfsg-5 upload from unstable.
  * Update Lintian overrides.
  * Update symbols files from buildds' logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Aug 2022 16:08:10 +0300

qtbase-opensource-src (5.15.5+dfsg-2) experimental; urgency=medium

  * Restore CVE-2021-38593.diff, 3 of 4 commits are still applicable.
  * Update symbols files from buildds’ logs.
  * Backport upstream patch to remove limit on the number of HTTP/2 streams.
    Fixes https://bugs.kde.org/show_bug.cgi?id=455540.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Jun 2022 23:37:04 +0300

qtbase-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump ABI version to 5.15.5.
  * Remove reverse-applicable upstream patches:
    - gcc_11_limits.diff
    - CVE-2021-38593.diff
  * Refresh existing patches.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 17 Jun 2022 22:08:50 -0500

qtbase-opensource-src (5.15.4+dfsg-5) unstable; urgency=medium

  * Add a patch to update signature of SSL_CTX_set_options for OpenSSL 3
    (LP: #1981807). Thanks Michael Saxl!

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Aug 2022 16:56:40 +0300

qtbase-opensource-src (5.15.4+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to remove limit on the number of HTTP/2 streams
    (closes: #1014112).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2022 22:49:23 +0300

qtbase-opensource-src-gles (5.15.4+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.4+dfsg-3 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 22:23:54 +0300

qtbase-opensource-src (5.15.4+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:00:47 +0300

qtbase-opensource-src (5.15.4+dfsg-2) experimental; urgency=medium

  * Install QtXcbQpa private headers needed for deepin-qt5dxcb-plugin,
    to avoid modifying it for every new Qt version.
  * Use symver directive to catch all private symbols at once.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 May 2022 14:42:53 +0300

qtbase-opensource-src-gles (5.15.4+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.4+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 13:24:47 +0300

qtbase-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in the new release:
    - fix-invalid-pointer-return-with-QGridLayout.diff
    - gcc-11-qtconcurrentthreadengine.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-4.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 May 2022 17:14:31 +0300

qtbase-opensource-src (5.15.3+dfsg-2) experimental; urgency=medium

  [ Andrea Pappacoda ]
  * Backport upstream patch to fix qtconcurrentthreadengine.h with GCC 11.
    - Closes: #1008391

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix parsing include inside enum (LP: #1968074).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Apr 2022 18:50:52 +0300

=== debian/control ===
--- 
+++ 
@@ -39,9 +39,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.15.3+dfsg~),
-               libqt5dbus5 (>= 5.15.3+dfsg~),
-               libqt5network5 (>= 5.15.3+dfsg~),
+               libqt5core5a (>= 5.15.6+dfsg~),
+               libqt5dbus5 (>= 5.15.6+dfsg~),
+               libqt5network5 (>= 5.15.6+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -75,7 +75,7 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

## qtbase-opensource-src-gles 5.15.8+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.8+dfsg-3) unstable; urgency=medium

  * Add a patch to fix CVE-2023-32763: buffer overflow in Qt SVG
    (closes: #1036702).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 May 2023 20:52:26 +0300

qtbase-opensource-src-gles (5.15.8+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.8+dfsg-3 upload.
  * Compare only upstream version of qt5-qmake-bin when cross-building
    (closes: #1029082).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Mar 2023 14:39:27 +0300

qtbase-opensource-src (5.15.8+dfsg-3) unstable; urgency=medium

  * Use ${DEB_HOST_GNU_TYPE} substitution in debian/qt5-qmake.install.
  * Add upstream patch to fix denial-of-service in Qt SQL ODBC plugin
    (CVE-2023-24607, closes: #1031872).
  * Update debian/libqt5gui5.symbols from s390x build log.
  * Amend image_deletion_order.diff from one more upstream commit.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Feb 2023 11:28:53 +0300

qtbase-opensource-src-gles (5.15.8+dfsg-1) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.8+dfsg-2 upload.
  * Bump qtbase build-dependencies to 5.15.8.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:23:19 +0400

qtbase-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5gui5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 11:41:54 +0400

qtbase-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and rebase patches for the new release.
  * Bump ABI version to qtbase-abi-5-15-8.
  * Backport upstream patch to set geometry property in QXcbWindow after
    checking minimum size (closes: #1025997).
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jan 2023 22:52:00 +0400

qtbase-opensource-src (5.15.7+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix deletion order in QImageReader/Writer
    destructors.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Jan 2023 15:43:32 +0400

qtbase-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:05 +0300

qtbase-opensource-src-gles (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 19:28:58 +0300

qtbase-opensource-src-gles (5.15.7+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.7+dfsg-1 and 5.15.6+dfsg-5 uploads.
  * Bump qtbase build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Dec 2022 14:36:13 +0300

qtbase-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  * New upstream release (5.15.7).
    - Refresh existing patches.
    - Update symbols from amd64 build logs.
  * Bump ABI version to qtbase-abi-5-15-7.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 01 Nov 2022 16:07:09 -0500

qtbase-opensource-src (5.15.6+dfsg-5) unstable; urgency=medium

  * Promote qtwayland5 from Suggests to Recommends (closes: #998698).
  * Make libqt5gui5 suggest qgnomeplatform-qt5 (closes: #1024976).
  * Backport upstream patch to fix Alt+` shortcut on non-US layouts.
  * Build-Depends: Drop versioned constraint on dpkg-dev, libharfbuzz-dev and
    pkg-kde-tools (thanks Debian Janitor).
  * Drop Breaks/Replaces unnecessary since buster (thanks Debian Janitor).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Dec 2022 20:38:46 +0300

qtbase-opensource-src (5.15.6+dfsg-4) unstable; urgency=medium

  * Revert upstream commit which caused graphical glitches in some apps.
    Backport upstream patch to fix the original issue in a better way.
    Thanks to Alexander Kernozhitsky and Alexis Murzeau for the pointers!
    (closes: #1022748, #1023580)
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 24 Nov 2022 20:38:09 +0300

qtbase-opensource-src (5.15.6+dfsg-3) experimental; urgency=medium

  * Backport upstream patch to fix misplaced menus with Wayland on GNOME.
  * Backport upstream patch to use Wayland platform plugin on GNOME Wayland
    sessions by default (closes: #954781).
  * Update debian/libqt5core5a.symbols for ia64 and sparc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Oct 2022 00:43:06 +0300

qtbase-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:41:52 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
-               dpkg-dev (>= 1.17.14),
                firebird-dev [kfreebsd-any linux-any],
                freetds-dev,
                libasound2-dev [linux-any],
@@ -27,7 +26,7 @@
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
-               libharfbuzz-dev (>= 1.6.0~),
+               libharfbuzz-dev,
                libicu-dev,
                libinput-dev [linux-any],
                libjpeg-dev,
@@ -39,9 +38,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.15.6+dfsg~),
-               libqt5dbus5 (>= 5.15.6+dfsg~),
-               libqt5network5 (>= 5.15.6+dfsg~),
+               libqt5core5a (>= 5.15.8+dfsg~),
+               libqt5dbus5 (>= 5.15.8+dfsg~),
+               libqt5network5 (>= 5.15.8+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -70,12 +69,12 @@
                libxrender-dev,
                libzstd-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.17~),
+               pkg-kde-tools,
                publicsuffix,
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -87,11 +86,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libqt5svg5, qt5-gtk-platformtheme
-Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
-        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~),
-        qt5-default
-Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
-          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
+Breaks: qt5-default
 Suggests: qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module — OpenGL ES variant
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -132,11 +127,9 @@
           libsqlite3-dev,
           unixodbc-dev
 Breaks: qt5-default (<< 5.15.1+dfsg-2~),
-        qt5-qmake (<< 5.11.3+dfsg-3~),
         qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
         qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
-Replaces: qt5-qmake (<< 5.11.3+dfsg-3~),
-          qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
+Replaces: qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
           qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
 Description: Qt 5 base development files — OpenGL ES variant
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -162,8 +155,6 @@
          libxkbcommon-dev,
          qtbase5-gles-dev (= ${binary:Version}),
          ${misc:Depends}
-Breaks: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
-Replaces: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
 Description: Qt 5 base private development files — OpenGL ES variant
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,7 @@
 
 override_dh_auto_configure:
 ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
-	test "`dpkg-query -f '$${Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION)"
+	test "`dpkg-query -f '$${source:Upstream-Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION_UPSTREAM)"
 endif
 	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
 	        ./configure \
@@ -241,5 +241,3 @@
 	  -o -name .obj\* \
 	  -o -name .pch \
 	  -o -name .rcc \
-	\) -print0 | xargs -0 rm -rf
-
